Create or update auto payout affiliate

Create or update an auto payout in a specific currency.

Before configuring an automatic payout:

  1. Add a business bank account to the affiliate account.
  2. Validate the business bank account.
  3. List the affiliate's bank accounts and verify that the bank account has the active status.
  4. Use the bank account id returned by the API as the bankaccount_id parameter when configuring the automatic payout.

⚠️ Note: The bank account must be validated and active before it can be used for automatic payouts.

For a complete TEST environment flow, see Test automatic payouts.

Authentication

Authentication for this endpoint requires an account API key. To obtain your partner or affiliate account API key, contact your partner manager.


Path Params
string
required

The affiliate's MultiSafepay account ID.

string
required

Filter payout based on a specific currency.

Body Params
schedule
array of strings

Days on which payout is scheduled.

schedule
string
required

The unique identifier of the bank account.
To get bankaccount_id, list an affiliated merchant's bankaccount.

integer
≥ 0

The minimum account balance required before a scheduled payout is processed.

A payout is processed only when the available balance exceeds the min_amount.

integer
≥ 0

The min_balance_amount defines the amount that remains in the account after a payout is processed.

This amount is reserved and is not included in the payout.

Responses

Language
Credentials
Query
LoadingLoading…
Response
Choose an example:
application/json